.TH "pyspottedunipd.ngrams.cli" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.ngrams.cli \- 
.SH SYNOPSIS
.br
.PP
.SS "Functions"

.in +1c
.ti -1c
.RI "def \fBcreate_args\fP ()"
.br
.ti -1c
.RI "def \fBparse_args\fP (parser)"
.br
.ti -1c
.RI "def \fBcheck_args\fP (path_in, algorithm, words)"
.br
.ti -1c
.RI "def \fBmain\fP ()"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "int \fBWORDS_TO_GENERATE\fP = 100"
.br
.ti -1c
.RI "list \fBAVAILABLE_ALGORITHMS\fP = ['ngram', 'markov']"
.br
.in -1c
.SH "Function Documentation"
.PP 
.SS "def pyspottedunipd\&.ngrams\&.cli\&.check_args ( path_in,  algorithm,  words)"

.PP
.nf
:param path_in: str
    Path to input file
:param algorithm: str
    Algorithm to use in [ngram, markov]
:param words: float
    Number of words to generate
:return: bool
    True iff args are correct

.fi
.PP
 
.PP
Definition at line 55 of file cli\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.cli\&.create_args ()"

.PP
.nf
:return: ArgumentParser
    Parser that handles cmd arguments.

.fi
.PP
 
.PP
Definition at line 28 of file cli\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.cli\&.main ()"

.PP
Definition at line 75 of file cli\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.cli\&.parse_args ( parser)"

.PP
.nf
:param parser: ArgumentParser
    Object that holds cmd arguments.
:return: tuple
    Values of arguments.

.fi
.PP
 
.PP
Definition at line 42 of file cli\&.py\&.
.SH "Variable Documentation"
.PP 
.SS "list pyspottedunipd\&.ngrams\&.cli\&.AVAILABLE_ALGORITHMS = ['ngram', 'markov']"

.PP
Definition at line 25 of file cli\&.py\&.
.SS "int pyspottedunipd\&.ngrams\&.cli\&.WORDS_TO_GENERATE = 100"

.PP
Definition at line 24 of file cli\&.py\&.
.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
